Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 819)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 820)
@@ -31,34 +31,41 @@
 import java.util.HashMap;
 import java.util.List;
 
+import javax.swing.tree.TreePath;
+
 import org.eclipse.core.commands.Command;
 import org.eclipse.core.commands.common.NotDefinedException;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Status;
 import org.eclipse.jface.action.MenuManager;
+import org.eclipse.jface.viewers.CellEditor;
+import org.eclipse.jface.viewers.ColumnViewerEditor;
+import org.eclipse.jface.viewers.ColumnViewerEditorActivationEvent;
+import org.eclipse.jface.viewers.ColumnViewerEditorActivationStrategy;
 import org.eclipse.jface.viewers.DecoratingLabelProvider;
 import org.eclipse.jface.viewers.DoubleClickEvent;
+import org.eclipse.jface.viewers.ICellModifier;
 import org.eclipse.jface.viewers.IDoubleClickListener;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.jface.viewers.StructuredSelection;
+import org.eclipse.jface.viewers.TextCellEditor;
 import org.eclipse.jface.viewers.TreeSelection;
 import org.eclipse.jface.viewers.TreeViewer;
+import org.eclipse.jface.viewers.TreeViewerEditor;
 import org.eclipse.jface.viewers.Viewer;
-import org.eclipse.jface.viewers.ViewerFilter;
 import org.eclipse.jface.viewers.ViewerSorter;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.KeyAdapter;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.graphics.Path;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Menu;
-import org.eclipse.swt.widgets.TreeColumn;
 import org.eclipse.swt.widgets.TreeItem;
-import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
@@ -66,24 +73,19 @@
 import org.eclipse.ui.commands.ICommandService;
 import org.eclipse.ui.contexts.IContextService;
 import org.eclipse.ui.handlers.IHandlerService;
-import org.eclipse.ui.internal.Workbench;
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
-import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Project;
-import org.txm.objects.SavedQuery;
-import org.txm.objects.Text;
 import org.txm.objects.Workspace;
 import org.txm.rcp.StatusLine;
-import org.txm.rcp.TXMWindows;
 import org.txm.rcp.editors.TXMEditor;
-import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.handlers.results.DeleteObject;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.utils.logger.Log;
@@ -121,15 +123,15 @@
 	 */
 	private static HashMap<Class, Class> managedDoubleClickClasses = new HashMap<Class, Class>();
 
-	
+
 	public static HashMap<String, String> doubleClickInstalledCommands = new HashMap<String, String>();
-	
-	
+
+
 	public static HashMap<Class, Class> getManagedDoubleClickClasses() {
 		return managedDoubleClickClasses;
 	}
-	
-	
+
+
 	/**
 	 * Gets the single instance of CorporaView.
 	 *
@@ -195,46 +197,91 @@
 		PlatformUI.getWorkbench().getHelpSystem().setHelp(
 				treeViewer.getControl(), TXMUIMessages.CorporaView_0);
 		getSite().setSelectionProvider(treeViewer);
-//		treeViewer.addFilter(new ViewerFilter() {
+		treeViewer.setColumnProperties(new String[]{"name"}); // mandatory to enable edit mode -> used to identify columns
+
+
+//		ColumnViewerEditorActivationStrategy actSupport = new ColumnViewerEditorActivationStrategy(treeViewer) {
+//			protected boolean isEditorActivationEvent(ColumnViewerEditorActivationEvent event) {
+//				System.out.println("activated");
+//				return event.keyCode == SWT.F2;
+//			}
+//		};
+//		int f = ColumnViewerEditor.TABBING_MOVE_TO_ROW_NEIGHBOR | 
+//			    ColumnViewerEditor.TABBING_VERTICAL |
+//			    ColumnViewerEditor.KEYBOARD_ACTIVATION;
+//		
+//		TreeViewerEditor.create(treeViewer, actSupport, f);
+//
+//		treeViewer.setCellEditors(new CellEditor[]{new TextCellEditor(treeViewer.getTree())});
+//		treeViewer.setCellModifier(new ICellModifier() {
+//
 //			@Override
-//			public boolean select(Viewer viewer, Object parentElement, Object element) {
-//				if (element instanceof Text) return false;
-//				if (element instanceof SavedQuery) return false;
-//				return true;
+//			public void modify(Object element, String property, Object value) {
+//				System.out.println("modify: "+element+" "+property+" "+value);
+//				if (element instanceof TreeItem)
+//				{
+//					//update element and tree model
+//					TreeItem treeItem = (TreeItem)element;
+//					TXMResult data = (TXMResult)treeItem.getData();
+//					data.setUserName(value.toString());
+//					treeItem.setText(value.toString());
+//				}
 //			}
+//
+//			@Override
+//			public Object getValue(Object element, String property) {
+//				if (element instanceof TXMResult) {
+//					return ((TXMResult)element).getUserName();
+//				}
+//				return element.toString();
+//			}
+//
+//			@Override
+//			public boolean canModify(Object element, String property) {
+//				return element instanceof TXMResult;
+//			}
 //		});
+
+		//		treeViewer.addFilter(new ViewerFilter() {
+		//			@Override
+		//			public boolean select(Viewer viewer, Object parentElement, Object element) {
+		//				if (element instanceof Text) return false;
+		//				if (element instanceof SavedQuery) return false;
+		//				return true;
+		//			}
+		//		});
 		treeViewer.setContentProvider(new TXMResultContentProvider(this));
 		//treeViewer.setLabelProvider(new TextometrieLabelProvider());
 		treeViewer.setLabelProvider(
 				new DecoratingLabelProvider(new TXMResultLabelProvider(),
 						PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()));
-		
+
 		// for now the sorter is used to sort the Corpus, Subcorpus and partition objects
 		treeViewer.setSorter(new ViewerSorter() {
-		    public int category(Object element) {
-		    	if (element instanceof Subcorpus) return 2; // must do it before the Corpus test
-		    	else if (element instanceof Corpus) return 0;
-		        else if (element instanceof Partition) return 1;
-		        else return 3;
-		    }
-		    
-		    public int compare(Viewer viewer, Object e1, Object e2) {
-		    	
-		    	int cat1 = category(e1);
-		        int cat2 = category(e2);
+			public int category(Object element) {
+				if (element instanceof Subcorpus) return 2; // must do it before the Corpus test
+				else if (element instanceof Corpus) return 0;
+				else if (element instanceof Partition) return 1;
+				else return 3;
+			}
 
-		        if (cat1 != cat2) {
+			public int compare(Viewer viewer, Object e1, Object e2) {
+
+				int cat1 = category(e1);
+				int cat2 = category(e2);
+
+				if (cat1 != cat2) {
 					return cat1 - cat2;
 				}
-		    	
-		    	if (e1 instanceof TXMResult && e2 instanceof TXMResult) {
-		    		return TXMResult.compare((TXMResult)e1, (TXMResult)e2);
-		    	} else {
-		    		return super.compare(viewer, e1, e2);
-		    	}
-		    }
+
+				if (e1 instanceof TXMResult && e2 instanceof TXMResult) {
+					return TXMResult.compare((TXMResult)e1, (TXMResult)e2);
+				} else {
+					return super.compare(viewer, e1, e2);
+				}
+			}
 		});
-		
+
 		if (Toolbox.isInitialized()) {
 			Workspace w = null;
 			while (w == null) {
@@ -270,7 +317,7 @@
 				// FIXME: define here what to display
 				String mess = ((TXMResult)selectedItem).getSimpleDetails();
 				if (mess == null) mess = selectedItem.toString();
-				
+
 				StatusLine.setMessage(mess);
 			}
 
@@ -297,8 +344,8 @@
 				e1.printStackTrace();
 			}
 		}
-		
-		
+
+
 		treeViewer.addDoubleClickListener(new IDoubleClickListener() {
 			@Override
 			public void doubleClick(DoubleClickEvent event) {
@@ -306,29 +353,29 @@
 				Object selectedItem = selection.getFirstElement();
 				//System.out.println("dbl click: "+selectedItem);
 				if (selectedItem != null) {
-					
+
 					// FIXME: this code should be in conflict with the native RCP system based in EditorInput.equals(), see if we can remove it
-//					if (selectedItem instanceof TXMResult) {
-//
-//						TXMResult txmResult = (TXMResult) selectedItem;
-//						TXMResultEditorInput<TXMResult> input = new TXMResultEditorInput<TXMResult>(txmResult);
-//
-//						IWorkbenchWindow window = TXMWindows.getActiveWindow();
-//						if (window != null) {
-//							IWorkbenchPage page = window.getActivePage();
-//							IEditorPart editor = page.findEditor(input);
-//							if (editor != null) {
-//								page.activate(editor);
-//								return; // ok done
-//							}
-//						}
-//					}
+					//					if (selectedItem instanceof TXMResult) {
+					//
+					//						TXMResult txmResult = (TXMResult) selectedItem;
+					//						TXMResultEditorInput<TXMResult> input = new TXMResultEditorInput<TXMResult>(txmResult);
+					//
+					//						IWorkbenchWindow window = TXMWindows.getActiveWindow();
+					//						if (window != null) {
+					//							IWorkbenchPage page = window.getActivePage();
+					//							IEditorPart editor = page.findEditor(input);
+					//							if (editor != null) {
+					//								page.activate(editor);
+					//								return; // ok done
+					//							}
+					//						}
+					//					}
 
 					String commandId = doubleClickInstalledCommands.get(selectedItem.getClass().getName());
 					if (commandId != null) {
 						BaseAbstractHandler.executeCommand(commandId);
 					}
-					
+
 					// test if a double click listener has been set
 					Class commandClass = managedDoubleClickClasses.get(selectedItem.getClass());
 					//System.out.println("classes: "+managedDoubleClickClasses);
@@ -375,6 +422,15 @@
 						}
 					}
 				}
+				//				else if (arg0.keyCode == SWT.CR || arg0.keyCode == SWT.KEYPAD_CR) {
+				//
+				//					ISelection isel = treeViewer.getSelection();
+				//					if (isel instanceof StructuredSelection) {
+				//						System.out.println("EDIT! "+((StructuredSelection)isel).getFirstElement());
+				//						treeViewer.editElement(((StructuredSelection)isel).getFirstElement(), 10);
+				//					}
+				//
+				//				}
 			}
 		});
 
@@ -489,13 +545,13 @@
 			public void run() {
 
 				//FIXME: Debug
-//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): refreshing node " + result);
-//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): direct parent " + result.getParent());
-//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): path " + result.getFullPathSimpleName());
+				//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): refreshing node " + result);
+				//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): direct parent " + result.getParent());
+				//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): path " + result.getFullPathSimpleName());
 
 				CorporaView corporaView = getInstance();
 				corporaView.treeViewer.refresh(); // FIXME: without that the refresh sometimes doesn't work, need to investigate (after some test it may occurs when a hierarchy of more than one result is created. Need to refresh all the hierarchy result one by one?)
-				
+
 				corporaView.treeViewer.refresh(result);
 
 				try {
@@ -537,13 +593,13 @@
 	 * @param resultDataClass
 	 * @param commandClass
 	 */
-//	public static void addDoubleClickListener(final Class resultDataClass, final Class commandClass)	{
-//		if (managedDoubleClickClasses.containsKey(managedDoubleClickClasses)) {
-//			Log.warning("The " + commandClass + " class for result " + resultDataClass + " is already managed by the Corpora view.");
-//			return;
-//		}
-//		//FIXME: this won't works if the ComputeXXX commands is not called -> we can't do lazy load
-//		// also not work for the intermediate results (eg. lexical table of a CA computed from a partition)
-//		managedDoubleClickClasses.put(resultDataClass, commandClass);
-//	}
+	//	public static void addDoubleClickListener(final Class resultDataClass, final Class commandClass)	{
+	//		if (managedDoubleClickClasses.containsKey(managedDoubleClickClasses)) {
+	//			Log.warning("The " + commandClass + " class for result " + resultDataClass + " is already managed by the Corpora view.");
+	//			return;
+	//		}
+	//		//FIXME: this won't works if the ComputeXXX commands is not called -> we can't do lazy load
+	//		// also not work for the intermediate results (eg. lexical table of a CA computed from a partition)
+	//		managedDoubleClickClasses.put(resultDataClass, commandClass);
+	//	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java	(revision 819)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java	(revision 820)
@@ -22,7 +22,7 @@
 	public TXMResultAdapter() {
 		// TODO Auto-generated constructor stub
 	}
-	
+
 	@Override
 	public Object[] getChildren(Object result) {
 		return ((TXMResult) result).getChildren(!TBXPreferences.getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES, TBXPreferences.PREFERENCES_NODE)).toArray();
@@ -30,12 +30,18 @@
 
 	@Override
 	public String getLabel(Object result) {
-		if(((TXMResult) result).getUserName() != null)	{
-			return ((TXMResult) result).getUserName();
+		if (result instanceof TXMResult) {
+			TXMResult r = (TXMResult)result;
+
+			if(!r.getUserName().isEmpty())	{
+				return r.getUserName();
+			}
+			else	{
+				return r.getSimpleName();	
+			}
+		} else {
+			return result.toString();
 		}
-		else	{
-			return ((TXMResult) result).getSimpleName();	
-		}
 	}
 
 	@Override
Index: tmp/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 819)
+++ tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 820)
@@ -1,65 +1,68 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;visibility:=reexport,org.eclipse.core.r
- untime;visibility:=reexport,org.eclipse.core.filesystem;bundle-versio
- n="1.2.0";visibility:=reexport,org.eclipse.ui.ide;visibility:=reexpor
- t,org.eclipse.ui.console;bundle-version="3.4.0";visibility:=reexport,
- org.eclipse.jface.text;visibility:=reexport,org.eclipse.ui.browser;bu
- ndle-version="3.2.300";visibility:=reexport,org.eclipse.ui.forms;visi
- bility:=reexport,org.eclipse.ui.editors;visibility:=reexport,org.txm.
- core;visibility:=reexport,org.eclipse.e4.ui.workbench.addons.swt;bund
- le-version="1.0.0";visibility:=reexport,org.eclipse.equinox.ds;bundle
- -version="1.4.100";visibility:=reexport,org.eclipse.equinox.event;bun
- dle-version="1.3.0";visibility:=reexport,org.eclipse.equinox.p2.ui;bu
- ndle-version="2.3.0";visibility:=reexport,org.eclipse.equinox.p2.ui.s
- dk;bundle-version="1.0.300";visibility:=reexport,org.eclipse.equinox.
- p2.ui.sdk.scheduler;bundle-version="1.2.0";visibility:=reexport,org.e
- clipse.update.configurator;bundle-version="3.3.200";visibility:=reexp
- ort,org.eclipse.e4.ui.css.swt.theme;bundle-version="0.9.100";visibili
- ty:=reexport,org.eclipse.e4.ui.css.swt;bundle-version="0.11.0";visibi
- lity:=reexport,org.eclipse.e4.ui.css.core;bundle-version="0.10.100";v
- isibility:=reexport,org.eclipse.equinox.p2.updatesite;bundle-version=
- "1.0.400";visibility:=reexport,org.eclipse.platform;bundle-version="4
- .3.0";visibility:=reexport,org.eclipse.equinox.util;bundle-version="1
- .0.500";visibility:=reexport,org.eclipse.equinox.p2.operations;visibi
- lity:=reexport,org.eclipse.equinox.p2.metadata;bundle-version="2.2.0"
- ;visibility:=reexport,org.eclipse.equinox.p2.director;visibility:=ree
- xport,org.eclipse.equinox.p2.ui.discovery;bundle-version="1.0.0";visi
- bility:=reexport,org.eclipse.equinox.p2.discovery;bundle-version="1.0
- .200";visibility:=reexport,org.eclipse.equinox.p2.discovery.compatibi
- lity;bundle-version="1.0.101";visibility:=reexport,org.eclipse.swt;vi
- sibility:=reexport,org.eclipse.equinox.p2.repository;bundle-version="
- 2.3.0";visibility:=reexport,org.eclipse.equinox.p2.core;bundle-versio
- n="2.3.0";visibility:=reexport,org.eclipse.equinox.p2.engine;bundle-v
- ersion="2.3.0";visibility:=reexport,org.eclipse.equinox.p2.console;bu
- ndle-version="1.0.300";visibility:=reexport,org.eclipse.ui.net;bundle
- -version="1.2.200";visibility:=reexport,org.eclipse.core.net;visibili
- ty:=reexport,org.eclipse.e4.ui.model.workbench;visibility:=reexport,o
- rg.eclipse.e4.ui.workbench;bundle-version="1.0.0";visibility:=reexpor
- t,org.eclipse.e4.core.contexts;bundle-version="1.3.0";visibility:=ree
- xport,org.eclipse.core.expressions;visibility:=reexport,org.eclipse.u
- i.navigator;bundle-version="3.5.300";visibility:=reexport,org.eclipse
- .ui.navigator.resources;bundle-version="3.4.500";visibility:=reexport
- ,org.eclipse.e4.ui.di;visibility:=reexport,org.eclipse.ui.themes;bund
- le-version="1.0.1";visibility:=reexport,org.eclipse.core.resources;bu
- ndle-version="3.9.1";visibility:=reexport,org.eclipse.ui.workbench.te
- xteditor;bundle-version="3.9.0";visibility:=reexport,org.eclipse.e4.u
- i.bindings;bundle-version="0.10.200";visibility:=reexport,org.eclipse
- .osgi.services;bundle-version="3.4.0";visibility:=reexport,org.eclips
- e.osgi.util;bundle-version="3.3.0";visibility:=reexport,org.eclipse.e
- quinox.p2.reconciler.dropins;bundle-version="1.1.200";visibility:=ree
- xport,org.txm.utils;bundle-version="1.0.0";visibility:=reexport,org.t
- xm.libs.batik;bundle-version="0.0.0";visibility:=reexport,org.eclipse
- .ui.views.log;bundle-version="1.0.500";visibility:=reexport,org.eclip
- se.ui.workbench;visibility:=reexport,org.txm.searchengine.cqp.core;vi
- sibility:=reexport,org.txm.chartsengine.core;bundle-version="1.0.0";v
- isibility:=reexport,org.txm.chartsengine.jfreechart.core;bundle-versi
- on="1.0.0";visibility:=reexport,org.txm.chartsengine.r.core;bundle-ve
- rsion="1.0.0";visibility:=reexport,org.txm.specificities.core;bundle-
- version="1.0.0";visibility:=reexport,org.txm.statsengine.core;bundle-
- version="1.0.0";visibility:=reexport,org.txm.statsengine.r.core;bundl
- e-version="1.0.0";visibility:=reexport,org.txm.searchengine.core;bund
- le-version="1.0.0";visibility:=reexport,org.txm.groovy.core;visibilit
- y:=reexport
+Require-Bundle: org.eclipse.ui;visibility:=reexport,
+ org.eclipse.core.runtime;visibility:=reexport,
+ org.eclipse.core.filesystem;bundle-version="1.2.0";visibility:=reexport,
+ org.eclipse.ui.ide;visibility:=reexport,
+ org.eclipse.ui.console;bundle-version="3.4.0";visibility:=reexport,
+ org.eclipse.jface.text;visibility:=reexport,
+ org.eclipse.ui.browser;bundle-version="3.2.300";visibility:=reexport,
+ org.eclipse.ui.forms;visibility:=reexport,
+ org.eclipse.ui.editors;visibility:=reexport,
+ org.txm.core;visibility:=reexport,
+ org.eclipse.e4.ui.workbench.addons.swt;bundle-version="1.0.0";visibility:=reexport,
+ org.eclipse.equinox.ds;bundle-version="1.4.100";visibility:=reexport,
+ org.eclipse.equinox.event;bundle-version="1.3.0";visibility:=reexport,
+ org.eclipse.equinox.p2.ui;bundle-version="2.3.0";visibility:=reexport,
+ org.eclipse.equinox.p2.ui.sdk;bundle-version="1.0.300";visibility:=reexport,
+ org.eclipse.equinox.p2.ui.sdk.scheduler;bundle-version="1.2.0";visibility:=reexport,
+ org.eclipse.update.configurator;bundle-version="3.3.200";visibility:=reexport,
+ org.eclipse.e4.ui.css.swt.theme;bundle-version="0.9.100";visibility:=reexport,
+ org.eclipse.e4.ui.css.swt;bundle-version="0.11.0";visibility:=reexport,
+ org.eclipse.e4.ui.css.core;bundle-version="0.10.100";visibility:=reexport,
+ org.eclipse.equinox.p2.updatesite;bundle-version="1.0.400";visibility:=reexport,
+ org.eclipse.platform;bundle-version="4.3.0";visibility:=reexport,
+ org.eclipse.equinox.util;bundle-version="1.0.500";visibility:=reexport,
+ org.eclipse.equinox.p2.operations;visibility:=reexport,
+ org.eclipse.equinox.p2.metadata;bundle-version="2.2.0";visibility:=reexport,
+ org.eclipse.equinox.p2.director;visibility:=reexport,
+ org.eclipse.equinox.p2.ui.discovery;bundle-version="1.0.0";visibility:=reexport,
+ org.eclipse.equinox.p2.discovery;bundle-version="1.0.200";visibility:=reexport,
+ org.eclipse.equinox.p2.discovery.compatibility;bundle-version="1.0.101";visibility:=reexport,
+ org.eclipse.swt;visibility:=reexport,
+ org.eclipse.equinox.p2.repository;bundle-version="2.3.0";visibility:=reexport,
+ org.eclipse.equinox.p2.core;bundle-version="2.3.0";visibility:=reexport,
+ org.eclipse.equinox.p2.engine;bundle-version="2.3.0";visibility:=reexport,
+ org.eclipse.equinox.p2.console;bundle-version="1.0.300";visibility:=reexport,
+ org.eclipse.ui.net;bundle-version="1.2.200";visibility:=reexport,
+ org.eclipse.core.net;visibility:=reexport,
+ org.eclipse.e4.ui.model.workbench;visibility:=reexport,
+ org.eclipse.e4.ui.workbench;bundle-version="1.0.0";visibility:=reexport,
+ org.eclipse.e4.core.contexts;bundle-version="1.3.0";visibility:=reexport,
+ org.eclipse.core.expressions;visibility:=reexport,
+ org.eclipse.ui.navigator;bundle-version="3.5.300";visibility:=reexport,
+ org.eclipse.ui.navigator.resources;bundle-version="3.4.500";visibility:=reexport,
+ org.eclipse.e4.ui.di;visibility:=reexport,
+ org.eclipse.ui.themes;bundle-version="1.0.1";visibility:=reexport,
+ org.eclipse.core.resources;bundle-version="3.9.1";visibility:=reexport,
+ org.eclipse.ui.workbench.texteditor;bundle-version="3.9.0";visibility:=reexport,
+ org.eclipse.e4.ui.bindings;bundle-version="0.10.200";visibility:=reexport,
+ org.eclipse.osgi.services;bundle-version="3.4.0";visibility:=reexport,
+ org.eclipse.osgi.util;bundle-version="3.3.0";visibility:=reexport,
+ org.eclipse.equinox.p2.reconciler.dropins;bundle-version="1.1.200";visibility:=reexport,
+ org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.libs.batik;bundle-version="0.0.0";visibility:=reexport,
+ org.eclipse.ui.views.log;bundle-version="1.0.500";visibility:=reexport,
+ org.eclipse.ui.workbench;visibility:=reexport,
+ org.txm.searchengine.cqp.core;visibility:=reexport,
+ org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.specificities.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.groovy.core;visibility:=reexport,
+ org.eclipse.jface
 Export-Package: junit.extensions,junit.framework,junit.runner,junit.te
  xtui,org.apache.commons.cli,org.apache.commons.lang,org.apache.common
  s.lang.builder,org.apache.commons.lang.enum,org.apache.commons.lang.e
Index: tmp/org.txm.information.core/src/org/txm/properties/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.information.core/src/org/txm/properties/core/messages/messages_fr.properties	(revision 819)
+++ tmp/org.txm.information.core/src/org/txm/properties/core/messages/messages_fr.properties	(revision 820)
@@ -7,7 +7,7 @@
 Properties_2  = ** Erreur
 Properties_22 = Propriétés des structures (max {0} valeurs)
 Properties_26 = Pas de propriété
-Properties_3  = Description du corpus 
+Properties_3  = Détails du corpus CQP 
 Properties_4  = \ propriétés
 Properties_40 = * Statistiques Générales\n
 Properties_41 = - T
Index: tmp/org.txm.information.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- tmp/org.txm.information.core/src/org/txm/properties/core/functions/Properties.java	(revision 819)
+++ tmp/org.txm.information.core/src/org/txm/properties/core/functions/Properties.java	(revision 820)
@@ -33,6 +33,7 @@
 import java.io.FileOutputStream;
 import java.io.IOException;
 import java.io.OutputStreamWriter;
+import java.io.PrintWriter;
 import java.io.UnsupportedEncodingException;
 import java.util.ArrayList;
 import java.util.Collections;
@@ -60,6 +61,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.utils.AsciiUtils;
+import org.txm.utils.io.IOUtils;
 import org.txm.utils.logger.Log;
 
 /**
@@ -523,21 +525,12 @@
 	 * @return true, if successful
 	 */
 	public boolean toTxt(File outfile, String encoding, int maxvalue) {
-		BufferedWriter writer = null;
+		PrintWriter writer = null;
 		try {
-			writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(outfile),	encoding));
-		} catch (UnsupportedEncodingException e1) {
-			org.txm.utils.logger.Log.printStackTrace(e1);
-			return false;
-		} catch (FileNotFoundException e1) {
-			org.txm.utils.logger.Log.printStackTrace(e1);
-			return false;
-		}
-
-		try {
+			writer = IOUtils.getWriter(outfile, encoding);
 			writer.write(this.dump(maxvalue));
 			writer.close();
-		} catch (IOException e) {
+		} catch (Exception e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 			return false;
 		}
@@ -552,9 +545,9 @@
 	 * @return true, if successful
 	 */
 	public boolean toHTML(File outfile) {
-		OutputStreamWriter writer;
+		PrintWriter writer;
 		try {
-			writer = new OutputStreamWriter(new FileOutputStream(outfile), "UTF-8"); //$NON-NLS-1$
+			writer = IOUtils.getWriter(outfile); //$NON-NLS-1$
 			writer.write(this.htmlDump());
 			writer.close();
 		} catch (IOException e) {
Index: tmp/org.txm.setups/shared/debian/usr/bin/TXM
===================================================================
--- tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 819)
+++ tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 820)
@@ -143,4 +143,7 @@
     exit 1 ;
 fi
 
-UBUNTU_MENUPROXY=0 exec /usr/lib/TXM/TXM -run --launcher.ini "$HOME/TXM/.txm/TXM.ini" -data "$HOME/TXM/.txm/data" -user "$HOME/TXM/.txm/user" -install "/usr/lib/TXM"
+## uncomment next lien to enable full debug
+#DEBUGOPTIONS="-log -consolelog -clean -debug -console -noexit"
+
+UBUNTU_MENUPROXY=0 exec /usr/lib/TXM/TXM -run --launcher.ini "$HOME/TXM/.txm/TXM.ini" $DEBUGOPTIONS -data "$HOME/TXM/.txm/data" -user "$HOME/TXM/.txm/user" -install "/usr/lib/TXM"
Index: tmp/org.txm.setups/VERSION
===================================================================
--- tmp/org.txm.setups/VERSION	(revision 819)
+++ tmp/org.txm.setups/VERSION	(revision 820)
@@ -1 +1 @@
-0.8.0
+0.8.0a
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 819)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 820)
@@ -54,14 +54,13 @@
 public abstract class TXMPreferences extends AbstractPreferenceInitializer {
 
 	
-	// FIXME: here we must use a ProjectScope when we'll use IProject for the corporas of TXM
+	// FIXME: here we must use a ProjectScope when we'll use IProject for TXM corpora 
 	public static IScopeContext scope = InstanceScope.INSTANCE;
 
 	/**
 	 * Alternative nodes to look up when getting a preference.
 	 */
 	public static ArrayList<String> alternativeNodesQualifiers = new ArrayList<String>();
-
 	
 	/**
 	 * Default unit/token property String.
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 819)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 820)
@@ -104,8 +104,8 @@
 	/**
 	 * The user name. To rename a result but also to store the simple name for unserialization and lazy loading.
 	 */
-	protected String userName;
-	
+	//protected String userName;
+
 	/**
 	 * The command preferences node qualifier.
 	 */
@@ -145,7 +145,7 @@
 	public TXMResult(String uuid) {
 		this(uuid, null);
 	}
-	
+
 	/**
 	 * Creates a new TXMResult, child of the specified parent.
 	 * If UUID is null, a new UUID is generated.
@@ -164,8 +164,8 @@
 		else	{
 			this.uniqueID = uuid;
 		}
-		
 
+
 		this.weight = 0;
 		this.visible = true;
 		if (parent != null) {
@@ -175,7 +175,7 @@
 			Log.warning("The TXMResult " + this.getClass() + " was attached to no parent.");
 		}
 
-		
+
 		this.children = new ArrayList<TXMResult>(1);
 		//		Base binaryCorpus = this.getBinaryCorpus();
 		//		if (binaryCorpus != null && this.getClass() != Base.class) {
@@ -190,7 +190,7 @@
 
 		this.dirty = true;
 
-		
+
 		// retrieving parent from UUID
 		if(parent == null && uuid != null && !this.getStringParameterValue(TXMPreferences.PARENT_UUID).isEmpty())	{
 			TXMResult retrievedParent = TXMResult.getResult(this.getStringParameterValue(TXMPreferences.PARENT_UUID));
@@ -198,29 +198,28 @@
 				Log.warning("Parent retrieved from UUID: " + retrievedParent + ".");
 				retrievedParent.addChild(this);
 			}
-			
-			// retrieving user name
-			if (!this.getStringParameterValue(TXMPreferences.NAME).isEmpty()) {
-				this.userName = this.getStringParameterValue(TXMPreferences.NAME);
-			}
 		}
 
-		
-		
+		// retrieving user name
+//		if (!this.getStringParameterValue(TXMPreferences.NAME).isEmpty()) {
+//			this.userName = this.getStringParameterValue(TXMPreferences.NAME);
+//		}
+
 		// loads parameters from local result node, current command preferences or default command preferences
 		try {
 			this.autoLoadParametersFromAnnotations(); // auto fill from Parameter annotations
 			this.loadParameters();  // subclasses manual settings
-			
-			
+
+
 		} catch (Exception e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 	}
-	
+
 	public void setUserName(String name) {
-		userName = name;
+		//userName = name;
+		this.saveParameter(TXMPreferences.NAME, name);
 	}
 
 	/**
@@ -264,17 +263,17 @@
 		}
 		return null;
 	}
-	
 
+
 	/**
 	 * Gets a member field according to its key.
 	 * @param key
 	 * @return the field if exists otherwise null
 	 */
 	public Field getField(String key)	{
-		
+
 		Field field = null; 
-		
+
 		List<Field> fields = this.getAllFields();
 
 		for (Field f : fields) {
@@ -284,10 +283,10 @@
 				break;
 			}
 		}
-		
+
 		return field;
 	}
-	
+
 	/**
 	 * Returns all the member fields of the class instance.
 	 * @return the list of declared fields
@@ -714,10 +713,7 @@
 		// internal data to save for unserialization
 		this.saveParameter("class", this.getClass().getName());
 		// store the user name if exists otherwise the simple name
-		if(this.userName != null)	{
-			this.saveParameter(TXMPreferences.NAME, this.userName);
-		}
-		else	{
+		if(this.getStringParameterValue(TXMPreferences.NAME).isEmpty())	{
 			this.saveParameter(TXMPreferences.NAME, this.getSimpleName());
 		}
 		this.saveParameter(TXMPreferences.RESULT_UUID, this.uniqueID);
@@ -725,8 +721,8 @@
 		if(this.parent != null)	{
 			this.saveParameter(TXMPreferences.PARENT_UUID, this.parent.getUUID());
 		}
-		
-		
+
+
 		List<Field> fields = this.getAllFields();
 
 		for (Field f : fields) {
@@ -895,9 +891,9 @@
 			targetField.setAccessible(true);
 
 			// FIXME: debug
-//			if(value != null)	{
-//				Log.info("TXMResult.setParameter(): setting parameter " + key + " = " + value + " for " + this.getClass() + " (" + value.getClass() + ")");
-//			}
+			//			if(value != null)	{
+			//				Log.info("TXMResult.setParameter(): setting parameter " + key + " = " + value + " for " + this.getClass() + " (" + value.getClass() + ")");
+			//			}
 
 			targetField.set(this, value);
 		}
@@ -941,7 +937,7 @@
 		return false;
 	}
 
-	
+
 	/**
 	 * Gets a child specified by its index in the children list.
 	 * @param index
@@ -955,7 +951,7 @@
 			return null;
 		}
 	}
-	
+
 	/**
 	 * Adds a child result to this result.
 	 * If the child already have a parent, the child will be remove from its old parent children.
@@ -1090,8 +1086,8 @@
 	 * @return the first child if exists otherwise null
 	 */
 	synchronized public TXMResult getFirstChild(Class type) {
-		 ArrayList<TXMResult> children = this.getChildren(type, false);
-		 try {
+		ArrayList<TXMResult> children = this.getChildren(type, false);
+		try {
 			return children.get(0);
 		}
 		catch (Exception e) {
@@ -1099,7 +1095,7 @@
 		}
 	}
 
-	
+
 	/**
 	 * Gets the first child.
 	 * @param classSimpleName
@@ -1153,12 +1149,12 @@
 		else	{
 			ArrayList<TXMResult> results = root.getDeepChildren();
 			for (int i = 0; i < results.size(); i++) {
-				
+
 				// FIXME: skipping invisible results
 				if(!results.get(i).isVisible())	{
 					continue;
 				}
-				
+
 				if(results.get(i).getUUID().equals(UUID))	{
 					result = results.get(i);
 					break;
@@ -1167,7 +1163,7 @@
 		}
 		return result;
 	}
-	
+
 	/**
 	 * Gets the TXMResult specified by its UUID in the children of the Toolbox Workspace member.
 	 * @param UUID
@@ -1176,7 +1172,7 @@
 	synchronized public static TXMResult getResult(String UUID)	{
 		return getResult(Toolbox.workspace, UUID);
 	}
-	
+
 	/**
 	 * Filters the nodes specified by their class and their visibility state.
 	 * 
@@ -1229,7 +1225,7 @@
 		return node;
 	}
 
-	
+
 	/**
 	 * Gets the first parent of the specified class, eg. this.getFirstParent(Partition.class);
 	 * Returns the object itself if it is of the specified class.
@@ -1454,9 +1450,9 @@
 	public abstract boolean canCompute() throws Exception;
 
 	/**
-	 * 
+	 * render the object getDetails() String in one line
 	 */
-	public String getSimpleDetails() {
+	public final String getSimpleDetails() {
 		String mess = this.getDetails();
 		if (mess != null)
 			return mess.replace("\n", "  ");
@@ -1496,7 +1492,7 @@
 		return this.compute(monitor, true);
 	}
 
-	
+
 	/**
 	 * 
 	 * @param monitor
@@ -1507,8 +1503,8 @@
 	public boolean compute(IProgressMonitor monitor, boolean deepComputing) throws Exception	{
 		return this.compute(monitor, deepComputing, true);
 	}
-	
-	
+
+
 	/**
 	 * Computes the result if 
 	 * it can be computed 
@@ -1527,7 +1523,7 @@
 	protected boolean compute(IProgressMonitor monitor, boolean deepComputing, boolean updateLastParameters) throws Exception {
 
 		boolean skipComputing = false;
-		
+
 		this.monitor = monitor;
 
 		if (!this.isDirty() && !this.isDirtyFromHistory()) {
@@ -1545,13 +1541,13 @@
 			skipComputing = true;
 		}
 
-		
+
 		if(!skipComputing)	{
-		
+
 			// FIXME: Debug
 			Log.finest("TXMResult.compute(): " + this.getClass().getSimpleName() + ": computing result of type " + this.getClass() + "...");
-	
-	
+
+
 			//		// TODO THIS IS FUCKING LAZY LINE CODES OH YEAH YOU MAD BRO
 			// TODO where do we put this parent compute ? :o
 			//		if (parent != null && !parent.getHasBeenComputedOnce()) { // parent must be computed at least one time
@@ -1559,43 +1555,43 @@
 			if (parent != null && !parent.hasBeenComputedOnce()) { 
 				if (!this.parent.compute(monitor, false, updateLastParameters)) {
 					Log.finest("TXMResult.compute(): " + this.getClass().getSimpleName() + ": failed to compute parent result.");
-	
+
 					//return false;
 				}
 			}
-	
+
 			// Computing requirements test
 			if (!this.canCompute()) {
 				// FIXME: Debug
 				Log.finest("TXMResult.compute(): " + this.getClass().getSimpleName() + ": missing or wrong parameters, computing aborted.");
-	
+
 				return false;
 			}
-	
+
 			// Computing
 			if (!this._compute()) {
-	
+
 				// FIXME: Debug
 				Log.finest("TXMResult.compute(): " + this.getClass().getSimpleName() + ": computing failed.");
-	
+
 				return false;
 			}
-			
+
 			// FIXME: Children cascade computing
 			if(deepComputing)	{
-				
+
 				// FIXME: Debug
 				Log.finest("TXMResult.compute(): " + this.getClass().getSimpleName() + ": cascade computing of " + this.children.size() + " children.");
 
-				
+
 				for (int i = 0; i < this.children.size(); i++) {
 					this.getChild(i).setDirty(); // force recomputing even if some parameters of the result itself have not changed
 					this.getChild(i).compute(monitor, deepComputing, updateLastParameters);
 				}
 			}
-			
+
 		}
-		
+
 		// store last used parameters
 		if(updateLastParameters)	{
 			this.updateLastParameters();
@@ -1764,10 +1760,10 @@
 	}
 
 	/**
-	 * @return the userName
+	 * @return the userName (never null) "" if not set
 	 */
 	public String getUserName() {
-		return userName;
+		return this.getStringParameterValue(TXMPreferences.NAME);
 	}
 
 	@Override
@@ -1779,7 +1775,7 @@
 	public static int compare(TXMResult e1, TXMResult e2) {
 		if (e1 == null && e2 == null) return 0;
 		if (e1 == null) return 1;
-		
+
 		return e1.getUUID().compareTo(e2.getUUID());
 	}
 }
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties	(revision 819)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties	(revision 820)
@@ -81,7 +81,6 @@
 
 Error_CONNECTION_FAILED = ** Echec de connexion au moteur de recherche avec les paramètres suivants : 
 
-FAILED = Échec.
 
 FMAX_1 = Fmax : 
 
@@ -295,7 +294,6 @@
 common_query           = Requête :
 common_reference       = Référence
 common_rows            = Lignes
-common_structuralUnit  = Unité structurelle : 
 common_structure       = Structure
 common_units           = Unités
 
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 819)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 820)
@@ -84,7 +84,6 @@
 
 Error_CONNECTION_FAILED = ** Error : while connection to search engine, with the following parameters: 
 
-FAILED = Failed.
 
 FMAX_1 = Fmax: 
 FMAX_2 = , fmax 
Index: tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 819)
+++ tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 820)
@@ -57,9 +57,10 @@
 		
 		for (int i = 0; i < contributions.length; i++) {
 			try {
+				@SuppressWarnings("unchecked")
 				T e = (T)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 				
-				System.out.println("Initializing engine: " + e);
+				Log.info("Initializing engine: " + e);
 				
 				if (e.initialize()) {
 					this.engines.put(e.getName(), e);
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 819)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 820)
@@ -17,7 +17,9 @@
 	public boolean startEngines(IProgressMonitor monitor) {
 		
 		for (AnnotationEngine e : engines.values()) {
-			System.out.println(e);
+			
+			// lazy mode
+			
 //			AnnotationEngine se = (AnnotationEngine)e;
 //			if (monitor != null) monitor.subTask("Starting "+ se.getName()+" annotation engine.");
 //			try {
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 819)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 820)
@@ -180,7 +180,7 @@
 			// Query:
 			getMainParametersComposite().getLayout().numColumns = 4;
 			// make
-			getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+			getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 			
 			miniInfoLabel = new Label(getMainParametersComposite(), SWT.NONE);
 			miniInfoLabel.setText("No query - ");
@@ -222,7 +222,7 @@
 			});
 			// System.out.println(parent.getLayout());
 			Composite mainPanel = this.getExtendedParametersComposite();
-			GridData gridData = new GridData(GridData.FILL, GridData.FILL, true, true);
+			GridData gridData = new GridData(GridData.FILL, GridData.CENTER, true, true);
 			mainPanel.setLayoutData(gridData);
 			GridLayout glayout = new GridLayout(2, false);
 			glayout.marginBottom = glayout.marginTop = glayout.marginHeight = glayout.verticalSpacing = 0;
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 819)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 820)
@@ -572,7 +572,7 @@
 	@Override
 	public String getDetails() {
 		try {
-			return "T "+this.getSize();
+			return this.getName()+" T="+this.getSize();
 		} catch (CqiClientException e) {
 			return "corpus not ready.";
 		}
Index: tmp/org.txm.information.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java	(revision 819)
+++ tmp/org.txm.information.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java	(revision 820)
@@ -79,16 +79,16 @@
 		this.maxPropertiesToDisplay.setLayoutData(gdata);
 		this.maxPropertiesToDisplay.addSelectionListener(new ComputeSelectionListener(this));
 
-		Group editComposite = this.getTopToolbar().installGroup("edit", "edit properties", null, null, false);
+		Group editComposite = this.getTopToolbar().installGroup("edit properties", "edit properties", null, null, false);
 		editComposite.setLayout(GLComposite.createDefaultLayout(3));
 		
 		Label nameLabel = new Label(editComposite, SWT.NONE);
-		nameLabel.setText("Displayed name");
+		nameLabel.setText("Displayed name: ");
 
 		nameText = new Text(editComposite, SWT.BORDER);
 		nameText.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 		nameSaveButton = new Button(editComposite, SWT.PUSH);
-		nameSaveButton.setText("Change name");
+		nameSaveButton.setText("Apply");
 		nameSaveButton.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -104,12 +104,12 @@
 		});
 
 		Label descLabel = new Label(editComposite, SWT.NONE);
-		descLabel.setText("Description");
+		descLabel.setText("Description: ");
 
 		descriptionText = new StyledText(editComposite, SWT.BORDER|SWT.V_SCROLL);
 		descriptionText.setLayoutData(GridDataFactory.fillDefaults().hint(400, 100).minSize(400, 100).span(1, 2).create());
 		descriptionSaveButton = new Button(editComposite, SWT.PUSH);
-		descriptionSaveButton.setText("Change description");
+		descriptionSaveButton.setText("Apply");
 		descriptionSaveButton.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
